@Grab(group='org.briljantframework', module='mimir-core', version='0.1-SNAPSHOT')
import org.briljantframework.mimir.classification.*
import loaders.*; // requires that mts_loaders.zip is extracted in the same dir

def loader = new MatlabExtractLoader(dir:"/Volumes/Dati/Experiments/MultiChannel/ECG")
def validator = ClassifierValidator.crossValidator(5) // 5-folds
validator.add(ClassifierEvaluator.INSTANCE)

def rsf = new RandomShapeletForest.Configurator(100).configure();

def (y, x) = loader.load();

println "${x.rows()}"
println validator.test(rsf, x, y).measures.mean()


